---
title: "Self Hosting"
date: 2022-04-05T14:00:00-03:00
draft: false
summary: "Self hosting containers that might be useful."
---

Just having fun.

## Necessary
* [Portainer](https://www.portainer.io/) - Container management.
* [Nginx Proxy Manager](https://nginxproxymanager.com/) - Reverse proxy manager.
* [WatchTower](https://containrrr.dev/watchtower/) - Automatic container updates.

## Misc
* [Netdata](https://hub.docker.com/r/netdata/netdata/) - Server monitor.
* [Heimdall](https://hub.docker.com/r/linuxserver/heimdall/) - Panel to add all your selfhosted services.
* [Statping](https://statping.com/) - Application ping.
* [Uptime Kuma](https://uptime.kuma.pet/) - Application ping (beautier).
* [Gitea](https://gitea.com/) - Homemade GitHub.
* [Notepad](https://github.com/pereorga/minimalist-web-notepad) - Homemade Dontpad.
* [Code Server](https://hub.docker.com/r/linuxserver/code-server/) - VSCode inside of a Docker.
* [FileBrowser](https://filebrowser.org/installation#docker/) - The name says by itself.
* [Ngnix](https://hub.docker.com/_/nginx/) - Web server like this one.

## Media
* [Transmission](https://hub.docker.com/r/linuxserver/transmission/) - Torrent client with a web interface.
* [Jackett](https://hub.docker.com/r/linuxserver/jackett/) - Torrent tracker aggregator.
* [Sonarr](https://hub.docker.com/r/linuxserver/sonarr/) - TV shows management (Torrent integration).
* [Radarr](https://hub.docker.com/r/linuxserver/radarr/) - Movies management (Torrent integration).
* [Lidarr](https://hub.docker.com/r/linuxserver/lidarr/) - Music management (Torrent integration).
* [Jellyfin](https://hub.docker.com/r/linuxserver/jellyfin/) - Homemade Netflix.

## Game server
* [Minecraft Server](https://hub.docker.com/r/itzg/minecraft-server/) - The name says by itself².